

Remove the CONTINUE_DECLS macro.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/isofs/rock.c |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

diff -puN fs/isofs/rock.c~rock-remove-CONTINUE_DECLS fs/isofs/rock.c
--- 25/fs/isofs/rock.c~rock-remove-CONTINUE_DECLS	2005-03-24 01:12:39.000000000 -0700
+++ 25-akpm/fs/isofs/rock.c	2005-03-24 01:13:10.000000000 -0700
@@ -43,14 +43,6 @@ static int check_sp(struct rock_ridge *r
 	return 0;
 }
 
-/* We define a series of macros because each function must do exactly the
-   same thing in certain places.  We use the macros to ensure that everything
-   is done correctly */
-
-#define CONTINUE_DECLS \
-  int cont_extent = 0, cont_offset = 0, cont_size = 0;   \
-  void *buffer = NULL
-
 #define CHECK_CE	       			\
       {cont_extent = isonum_733(rr->u.CE.extent); \
       cont_offset = isonum_733(rr->u.CE.offset); \
@@ -100,7 +92,10 @@ int get_rock_ridge_filename(struct iso_d
 {
 	int len;
 	unsigned char *chr;
-	CONTINUE_DECLS;
+	int cont_extent = 0;
+	int cont_offset = 0;
+	int cont_size = 0;
+	void *buffer = NULL;
 	struct rock_ridge *rr;
 	int sig;
 	int retnamlen = 0;
@@ -190,8 +185,10 @@ parse_rock_ridge_inode_internal(struct i
 	struct inode *reloc;
 	struct rock_ridge *rr;
 	int rootflag;
-
-	CONTINUE_DECLS;
+	int cont_extent = 0;
+	int cont_offset = 0;
+	int cont_size = 0;
+	void *buffer = NULL;
 
 	if (!ISOFS_SB(inode->i_sb)->s_rock)
 		return 0;
@@ -534,7 +531,10 @@ static int rock_ridge_symlink_readpage(s
 	char *rpnt = link;
 	unsigned char *pnt;
 	struct iso_directory_record *raw_inode;
-	CONTINUE_DECLS;
+	int cont_extent = 0;
+	int cont_offset = 0;
+	int cont_size = 0;
+	void *buffer = NULL;
 	unsigned long block, offset;
 	int sig;
 	int len;
_
